This TurboSIM was once used on my iPhone up until firmware 1.1.1... so if you want to use this on 1.1.2 I understand you'll need to update the applesaft software on the TurboSIM.

Open to offers...